Page MenuHomePhabricator

Update Clang to change in ReadAbbrevBlock API (bug 20485)
AbandonedPublic

Authored by david2050 on Jan 15 2015, 12:53 PM.

Details

Reviewers
bogner
Summary

Modified ReadAbbrevBlock to return "true' when an error is identified (instead of crashing). Propagate that error appropriately

Diff Detail

Event Timeline

david2050 updated this revision to Diff 18248.Jan 15 2015, 12:53 PM
david2050 retitled this revision from to Update Clang to change in ReadAbbrevBlock API (bug 20485).
david2050 updated this object.
david2050 edited the test plan for this revision. (Show Details)
david2050 added a reviewer: bogner.
david2050 set the repository for this revision to rL LLVM.
david2050 added a parent revision: D7003: Test case for bug 20485.
david2050 added subscribers: Unknown Object (MLST), freik, rafael.
filcab added a subscriber: filcab.Jan 16 2015, 9:42 AM

Hi David,

Can you make a test for this? At the very least the "malformed abbrev record in AST file" branch.

rafael added inline comments.Jan 16 2015, 11:55 AM
lib/Serialization/ASTReader.cpp
1344

This should not be needed. The idea of having a diagnostic handler is that the diagnostic has to be issued only once. With this clang would be printing two errors.This one and one from the bitcode reader.

david2050 abandoned this revision.Feb 4 2015, 10:20 AM

simple change already committed to LLVM